Query papers by device or organization
Retrieves paper entries (screens) filtered by device or by organization when no device is provided.
Middlewares: authMiddleware, validateDeviceOrOrganizationQuery
API key for authentication
In: header
Query Parameters
Name to filter by
Role to filter by
Field to sort by
Search term to filter results
Number of items per page
1 <= value <= 100000Offset for pagination, used to skip a number of items
0 <= value <= 100000Page number for pagination
1 <= value <= 100000A valid MongoDB ObjectId
A valid MongoDB ObjectId
Response Body
application/json
curl -X GET "https://api.paperlesspaper.de/v1/papers/"{
"results": [
null
],
"totalResults": 100,
"totalPages": 10,
"page": 1,
"limit": 10
}Update an organization by ID PATCH
Updates the details of a specific organization by its ID. Middlewares: `authMiddleware`, `validateOrganization`, `validateOrganizationUpdate`
Create a new paper entry POST
Creates a new screen (paper) to be displayed on the ePaper device. Middlewares: `authMiddleware`, `validateDeviceIsInOrganization`